<?php

namespace App\Modelos;

use Core\Database;

class Bancocuentas extends Database
{
    protected $table = 'app_bancos_cuentas';
    protected $id = 'bc_id';

    public function cuenta($id)
    {
        return $this->consultar("SELECT * FROM app_bancos_cuentas WHERE bc_id=$id")->row();
    }

    public function cuentasActivas()
    {
        return $this->consultar("SELECT bc_id, bc_banid, bc_tipo, bc_cuenta, bc_estatus, bc_alias, ban_descripcion FROM app_bancos JOIN app_bancos_cuentas ON bc_banid=ban_id WHERE bc_estatus=1")->all();
    }

    public function cuentas()
    {
        return $this->consultar("SELECT bc_id, bc_banid, bc_tipo, bc_cuenta, bc_estatus, bc_alias, ban_descripcion FROM app_bancos JOIN app_bancos_cuentas ON bc_banid=ban_id")->all();
    }

    public function chequearForanea($id_cuenta)
    {
        return $this->consultar("SELECT *
        FROM app_bancos_cuentas bc
        JOIN app_cuentas_metodopago cmp ON bc.bc_id = cmp.cmp_cueid
        WHERE bc.bc_id = $id_cuenta")->all();
    }
}
